#pragma once

class Node;

namespace pp::panopainter
{
void legacy_ui_node_move_construct(Node& dest, Node&& src);
void legacy_ui_node_destroy(Node& node);
void legacy_ui_node_clone_copy(const Node& src, Node& dest);
void legacy_ui_node_clone_children(const Node& src, Node& dest);
}
